import request from '../utils/request'

//加入购物车
export function addCart(data) {
  return request({
    url: `/lease/shopping/cart/addGoods`,
    method: 'post',
    data
  })
}


//查询购物车列表
export function getGoodsList(data) {
    return request({
      url: `/lease/shopping/cart/getGoodsList`,
      method: 'post',
      data
    })
  }
  //删除购物车商品 批量
export function deleteBatchGoods(data) {
    return request({
      url: `/lease/shopping/cart/deleteBatchGoods`,
      method: 'post',
      data
    })
  }

    
      // 批量删除购物车中已下架商品
export function deleteBatchGoodsForIsDelete(data) {
  return request({
    url: `/lease/shopping/cart/deleteBatchGoodsForIsDelete`,
    method: 'post',
    data
  })
}

//购物车列表V2
export function getGoodsListV2(data) {
  return request({
    url: `/lease/v2/shopping/cart/getGoodsListV2`,
    method: 'post',
    data
  })
}


//批量删除购物车中已下架商品
export function deleteBatchGoodsForIsDeleteV2(data) {
  return request({
    url: `/lease/v2/shopping/cart/deleteBatchGoodsForIsDeleteV2`,
    method: 'post',
    data
  })
}



//批批量删除购物车中商品
export function deleteBatchGoodsV2(data) {
  return request({
    url: `/lease/v2/shopping/cart/deleteBatchGoodsV2`,
    method: 'post',
    data
  })
}











